CREATE TABLE ad_bugs (
    BUG_ID                       NUMBER            NOT NULL,
    APPLICATION_SHORT_NAME       VARCHAR2(200) ,
    BUG_NUMBER                   VARCHAR2(120)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    ARU_RELEASE_NAME             VARCHAR2(120)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    TRACKABLE_ENTITY_ABBR        VARCHAR2(32)  ,
    BASELINE_NAME                VARCHAR2(600) ,
    GENERIC_PATCH                VARCHAR2(4)   ,
    LANGUAGE                     VARCHAR2(16)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    APPLIED_PATCH_DESCRIPTION    VARCHAR2(1024),
    ORA_EDITION_CONTEXT          VARCHAR2(120)     NOT NULL,
    BUG_ID                       NUMBER            NOT NULL,
    APPLICATION_SHORT_NAME       VARCHAR2(200) ,
    BUG_NUMBER                   VARCHAR2(120)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    ARU_RELEASE_NAME             VARCHAR2(120)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    TRACKABLE_ENTITY_ABBR        VARCHAR2(32)  ,
    BASELINE_NAME                VARCHAR2(600) ,
    GENERIC_PATCH                VARCHAR2(4)   ,
    LANGUAGE                     VARCHAR2(16)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    APPLIED_PATCH_DESCRIPTION    VARCHAR2(1024),
    ORA_EDITION_CONTEXT          VARCHAR2(120)     NOT NULL
);
